Subject: Re: nvram driver not possible as a module

From: Joerg Dorchain <[email-masked]>
Date: Thu, 20 Jan 2005 11:50:26 +0100

On Thu, Jan 20, 2005 at 10:55:46AM +0100, Guido Guenther wrote:
> Hi Joerg,
> On Wed, Jan 19, 2005 at 11:14:48AM +0100, Joerg Dorchain wrote:
> > KConfig says CONFIG_NVRAM is possible as a module. Loading the module
> > fails because of an unknown symbol __alloc_bootmem. __alloc_bootmem is
> > marked __init. The obvious workaround is to compile the driver not as a
> > module, but how can this get really fixed?
> Does this help:
[...]

Most likely, if there wasn't a specific reason to use bootmem.

I'll try tonight.

Thanks,

Joerg